Summary: Hierarchical repository abstraction layer
Name: librepository
Version: 1.1.3
Release: 4%{?dist}
License: LGPLv2
URL: http://reporting.pentaho.org/
Source0: http://downloads.sourceforge.net/jfreereport/%{name}-%{version}.zip

Patch3000: librepository-1.1.2.build.patch
Patch3001: librepository-1.1.2.java11.patch
Patch3002: librepository-1.1.3-remove-ant-contrib-support.patch
Patch3003: librepository-1.1.3-remove-commons-logging.patch

BuildRequires: ant, java-devel, jpackage-utils, libbase >= 1.1.3

Requires: java-headless, jpackage-utils, libbase >= 1.1.3

BuildArch: noarch
ExclusiveArch:  %{java_arches} noarch

%description
LibRepository provides a simple abstraction layer to access bulk content that
is organized in a hierarchical layer.

%package javadoc
Summary: Javadoc for %{name}
Requires: %{name} = %{version}-%{release}
Requires: jpackage-utils

%description javadoc
Javadoc for %{name}.

%prep
%autosetup -p1 -c

find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib libbase

%build
ant jar javadoc
for file in README.txt licence-LGPL.txt ChangeLog.txt; do
    tr -d '\r' < $file > $file.new
    mv $file.new $file
done

%install
mkdir -p %{buildroot}%{_javadir}
cp -p ./dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp bin/javadoc/docs/api %{buildroot}%{_javadocdir}/%{name}

%files
%license licence-LGPL.txt
%doc README.txt ChangeLog.txt
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri May 19 2023 cunshunxia <cunshunxia@tencent.com> - 1.1.3-4
- change source url.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 13 2023 cunshunxia <cunshunxia@tencent.com> - 1.1.3-1
- initial build
